LelantosLelantos

Volumes

Persistent storage volumes

List volumes

GET
/volumes
X-API-Key<token>

In: header

Query Parameters

limit?integer
Default100
Formatint32
Range1 <= value <= 100
nextToken?string

Cursor for pagination. Use the value from the X-Next-Token response header.

Response Body

application/json

application/json

curl -X GET "https://api.lelantos.ai/volumes"
[
  {
    "volumeID": "string",
    "name": "string"
  }
]
{
  "code": 0,
  "message": "string"
}

Create volume

POST
/volumes
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

application/json

application/json

curl -X POST "https://api.lelantos.ai/volumes" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "volumeID": "string",
  "name": "string"
}
{
  "code": 0,
  "message": "string"
}

Delete volume

DELETE
/volumes/{volumeID}
X-API-Key<token>

In: header

Path Parameters

volumeID*string

Response Body

application/json

application/json

curl -X DELETE "https://api.lelantos.ai/volumes/string"
Empty
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}